using System;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IResearchPublicationService
    {
        Task<ResearchPublicationDTO> GetResearchPublication(Guid doctorId);

        Task<IResponseOutput> AddOrUpdateResearchPublication(ResearchPublicationDTO param);
    }
}